unix-2.6.0.1: POSIX functionality

Portability | non-portable (requires POSIX)
Stability | experimental
Maintainer | libraries@haskell.org
Safe Haskell | Trustworthy

System.Posix.SharedMem

Description

POSIX shared memory support.

Synopsis

- data ShmOpenFlags = ShmOpenFlags {
  - shmReadWrite :: Bool
  - shmCreate :: Bool
  - shmExclusive :: Bool
  - shmTrunc :: Bool
  }
- shmOpen :: String -> ShmOpenFlags -> FileMode -> IO Fd
- shmUnlink :: String -> IO ()

# Documentation

data ShmOpenFlags

Constructors

ShmOpenFlags |
Fields shmReadWrite :: Bool If true, open the shm object read-write rather than read-only. shmCreate :: Bool If true, create the shm object if it does not exist. shmExclusive :: Bool If true, throw an exception if the shm object already exists. shmTrunc :: Bool If true, wipe the contents of the shm object after opening it.

shmOpen :: String -> ShmOpenFlags -> FileMode -> IO Fd

Open a shared memory object with the given name, flags, and mode.

shmUnlink :: String -> IO ()

Delete the shared memory object with the given name.